Linux Kernelの脆弱性(CVE-2018-5803)




02/09/2018にLinux Kernelの脆弱性情報(CVE-2018-5803)が公開されています。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。


 

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

やや古い情報ですが、02/09/2018にLinux Kernelの脆弱性情報(CVE-2018-5803)が公開されています。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。



Priority

Moderate

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5803
    • カーネルのクラッシュの可能性

    • 重要度 - Moderate

    • 4.15.8, 4.14.25, 4.9.87, 4.4.121, 4.1.51, 3.2.102以前のLinux Kernelでは、net/sctp/sm_make_chunk.c中の "_sctp_make_chunk()"関数にエラーが存在し、SCTPパケット長を取り扱う際にカーネルクラッシュが引き起こされる可能性が有ります。


主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteやKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、peacemakerなどOSSのクラスタ製品を使うとサービス断の時間を最小限にすることが出来ます。

[参考]

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5803

セキュリティ系連載案内

前へ

Perlの脆弱性(CVE-2018-12015)

次へ

BIND 9の脆弱性 ( CVE-2018-5738 )